"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Remove_Commas = exports.Add_Commas = exports.Toman_To_Rial = exports.Rial_To_Toman = exports.En_To_Fa = exports.Fa_To_En = void 0;
/**
 * This Function get a Persian number and change it to English @number and return it.
 * @param number @type @string
 * @returns string
 */
const Fa_To_En = (number) => number.replace(/[۰-۹]/g, (d) => '۰۱۲۳۴۵۶۷۸۹'.indexOf(d).toString());
exports.Fa_To_En = Fa_To_En;
/**
 * This Function get a English number and change it to Persian @number and return it.
 * @param number @type @string
 * @returns string
 */
const En_To_Fa = (number) => number.replace(/\d/g, (d) => '۰۱۲۳۴۵۶۷۸۹'[+d]);
exports.En_To_Fa = En_To_Fa;
/**
 * This Function get a number base on Rial and change it to Toman and return it.
 * @param number @type @number
 * @returns string
 */
const Rial_To_Toman = (number) => (number / 10).toFixed(0);
exports.Rial_To_Toman = Rial_To_Toman;
/**
 * This Function get a number base on Toman and change it to Rial and return it.
 * @param number @type @number
 * @returns string
 */
const Toman_To_Rial = (number) => number * 10;
exports.Toman_To_Rial = Toman_To_Rial;
/**
 * This Function get a string and split with commas.
 * @param number @type @number
 * @returns number
 */
const Add_Commas = (number) => number.replace(/\B(?=(\d{3})+(?!\d))/g, ",");
exports.Add_Commas = Add_Commas;
/**
 * This Function get a string and remove all commas.
 * @param number @type @number
 * @returns number
 */
const Remove_Commas = (number) => number.replace(/,\s?/g, "");
exports.Remove_Commas = Remove_Commas;
