"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckIdNumber = exports.IdNumberFind = void 0;
const idNumber_1 = require("../constants/idNumber");
const parser_1 = require("../parser");
/**
 * get idNumber and check it if true return province and city
 * @param id
 * @returns object : { province: "", city: "" }
 */
const IdNumberFind = (id) => {
    id = (0, parser_1.Fa_To_En)(id.slice(0, 3));
    const findCity = idNumber_1.idNumbersByCity.find((item) => item.from === id || item.to === id);
    if (findCity) {
        return { province: findCity.province, city: findCity.city };
    }
    return;
};
exports.IdNumberFind = IdNumberFind;
/**
 * get idNumber and check it if exists and valid
 * @param id
 * @returns boolean
 */
const CheckIdNumber = (id) => {
    const regex = /^\d{10}$/g;
    if (regex.test((0, parser_1.Fa_To_En)(id))) {
        id = id.slice(0, 3);
        const findCity = idNumber_1.idNumbersByCity.find((item) => item.from === id || item.to === id);
        if (findCity) {
            return true;
        }
    }
    return false;
};
exports.CheckIdNumber = CheckIdNumber;
