"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRightel = exports.isMTN = exports.isMCI = exports.CheckPersianPhone = void 0;
const parser_1 = require("../parser");
/**
 * This function get a persian @number and check it if valid or not and return @boolean
 * @param number
 * @returns boolean
 */
const CheckPersianPhone = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?9\d{9}$/, parseFaToEn = (0, parser_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.CheckPersianPhone = CheckPersianPhone;
/**
 * take number and check it if from MCI Hamrah Aval Operator or not
 * @param number
 * @returns boolean
 */
const isMCI = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?(990|991|992|993|994|995|996|910|911|912|913|914|915|916|917|918|919)\d{7}$/, parseFaToEn = (0, parser_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.isMCI = isMCI;
/**
 * take number and check it if from MTN Irancell Operator or not
 * @param number
 * @returns boolean
 */
const isMTN = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?(930|933|935|936|937|938|900|901|902|903|904|905|941)\d{7}$/, parseFaToEn = (0, parser_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.isMTN = isMTN;
/**
 * take number and check it if from Rightel Operator or not
 * @param number
 * @returns boolean
 */
const isRightel = (number) => {
    const numberRegex = /^(\+98|0098|98|0)?(920|921|922|923)\d{7}$/, parseFaToEn = (0, parser_1.Fa_To_En)(number);
    return numberRegex.test(parseFaToEn);
};
exports.isRightel = isRightel;
